## about.py
## 
## Copyright (C) 2006-2008 Betz Stefan <stefan_betz@gmx.net>
##
## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published
## by the Free Software Foundation; version 3 only.
##
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
##

import pygtk
pygtk.require('2.0')
import gtk
import gettext
from pyneighborhood.misc import sharepath, version

_ = gettext.gettext

class AboutDialog(object):
    """
    The About Dialog for pyNeighborhood
    """

    def __init__(self):
        """
        The Constructor of the About Dialog
        """
        self.xml = gtk.Builder()
        self.xml.add_from_file(sharepath('ui/about.glade'))
        self.xml.connect_signals(self)
        
        self.window = self.xml.get_object("about_dialog")
        self.window.set_version(version)

    def close_handler(self, widget = None, response_id = None):
        """
        Window Close Handler
        """
        self.window.destroy()
